---
search:
  tags:
    - Channels V2
    - PATCH
seo:
  description: >-
    Bulk-sets the per-channel… Reference for the PATCH
    /api/v2/{team_slug}/{app_slug}/products/variant-groups/channels/status
    endpoint in the Management API v2.
sidebar:
  label: Update variant group channel statuses
  badge: PATCH
title: Update variant group channel statuses
type: openapi-operation
---
Bulk-sets the per-channel publishing status of variant groups.

`PATCH /api/v2/{team_slug}/{app_slug}/products/variant-groups/channels/status`

**Request body** (`application/json`, required)

- `variant_groups` (PatchChannelVariantGroupStatusItem[], required)

Request body example:

```json
{
  "variant_groups": [
    {
      "channel_id": "bbe8aa76-a4bb-46f6-a785-df8e831cc459",
      "variant_group_id": "165b9130-4dfe-4a17-99a4-9e5031dcac26",
      "status": "string"
    }
  ]
}
```

**Responses**

- `200` — OK (partial success possible)
- `400` — Request-level failure
- `401` — Request-level failure
- `403` — Request-level failure
- `500` — Request-level failure

Response example, 200:

```json
{
  "data": [
    {
      "channel_id": "bbe8aa76-a4bb-46f6-a785-df8e831cc459",
      "variant_group_id": "165b9130-4dfe-4a17-99a4-9e5031dcac26",
      "status": "string"
    }
  ],
  "errors": [
    {
      "channel_id": "bbe8aa76-a4bb-46f6-a785-df8e831cc459",
      "variant_group_id": "165b9130-4dfe-4a17-99a4-9e5031dcac26",
      "message": "string"
    }
  ]
}
```
